/**
* 文件：AttachQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.attach.model;
import java.util.List;

/**
 * <p>Title: 资料附件表</p>
 * <p>Description: AttachQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class AttachQuery extends AttachEntity{
	private static final long serialVersionUID = 1609127331815L;
	/** 开始 ID，自增长 */
	private Long idStart;

	/** 结束 ID，自增长 */
	private Long idEnd;

	/** 增加 ID，自增长 */
	private Long idIncrement;

	/** ID，自增长 */
	private List<Long> idList;

	/** 关联主表表名 */
	private List<String> tableCodeList;

	/** 开始 关联主表某一字段数据 */
	private Long tableDataIdStart;

	/** 结束 关联主表某一字段数据 */
	private Long tableDataIdEnd;

	/** 增加 关联主表某一字段数据 */
	private Long tableDataIdIncrement;

	/** 关联主表某一字段数据 */
	private List<Long> tableDataIdList;

	/** 开始 附件分类，参数配置-MateriaAttachType */
	private Integer attachTypeStart;

	/** 结束 附件分类，参数配置-MateriaAttachType */
	private Integer attachTypeEnd;

	/** 增加 附件分类，参数配置-MateriaAttachType */
	private Integer attachTypeIncrement;

	/** 附件分类，参数配置-MateriaAttachType */
	private List<Integer> attachTypeList;

	/** 附件名称 */
	private List<String> attachNameList;

	/** 附件相对URL，/{materiaUniFullCode}/{attachType}/{attachName} */
	private List<String> attachUrlList;

	/** 备注 */
	private List<String> remarkList;

	/** 开始 变更时间 */
	private String updateTimeStart;

	/** 结束 变更时间 */
	private String updateTimeEnd;

	/** 变更用户loginName */
	private List<String> updateUserList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 创建用户loginName */
	private List<String> createUserList;

	/** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
	private List<AttachQuery> orConditionList;

	/** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
	private List<AttachQuery> andConditionList;


	public AttachQuery(){
	}
	/**
	 * 获取 开始 ID，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 ID，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 ID，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 ID，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 ID，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 ID，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 ID，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 ID，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 关联主表表名
	 * @return tableCodeList
	 */
	public List<String> getTableCodeList(){
		return this.tableCodeList;
	}

	/**
	 * 设置 关联主表表名
	 * @param tableCodeList
	 */
	public void setTableCodeList(List<String> tableCodeList){
		this.tableCodeList = tableCodeList;
	}

	/**
	 * 获取 开始 关联主表某一字段数据
	 * @return tableDataIdStart
	 */
	public Long getTableDataIdStart(){
		return this.tableDataIdStart;
	}

	/**
	 * 设置 开始 关联主表某一字段数据
	 * @param tableDataIdStart
	 */
	public void setTableDataIdStart(Long tableDataIdStart){
		this.tableDataIdStart = tableDataIdStart;
	}

	/**
	 * 获取 结束 关联主表某一字段数据
	 * @return tableDataIdEnd
	 */
	public Long getTableDataIdEnd(){
		return this.tableDataIdEnd;
	}

	/**
	 * 设置 结束 关联主表某一字段数据
	 * @param tableDataIdEnd
	 */
	public void setTableDataIdEnd(Long tableDataIdEnd){
		this.tableDataIdEnd = tableDataIdEnd;
	}

	/**
	 * 获取 增加 关联主表某一字段数据
	 * @return tableDataIdIncrement
	 */
	public Long getTableDataIdIncrement(){
		return this.tableDataIdIncrement;
	}

	/**
	 * 设置 增加 关联主表某一字段数据
	 * @param tableDataIdIncrement
	 */
	public void setTableDataIdIncrement(Long tableDataIdIncrement){
		this.tableDataIdIncrement = tableDataIdIncrement;
	}

	/**
	 * 获取 关联主表某一字段数据
	 * @return tableDataIdList
	 */
	public List<Long> getTableDataIdList(){
		return this.tableDataIdList;
	}

	/**
	 * 设置 关联主表某一字段数据
	 * @param tableDataIdList
	 */
	public void setTableDataIdList(List<Long> tableDataIdList){
		this.tableDataIdList = tableDataIdList;
	}

	/**
	 * 获取 开始 附件分类，参数配置-MateriaAttachType
	 * @return attachTypeStart
	 */
	public Integer getAttachTypeStart(){
		return this.attachTypeStart;
	}

	/**
	 * 设置 开始 附件分类，参数配置-MateriaAttachType
	 * @param attachTypeStart
	 */
	public void setAttachTypeStart(Integer attachTypeStart){
		this.attachTypeStart = attachTypeStart;
	}

	/**
	 * 获取 结束 附件分类，参数配置-MateriaAttachType
	 * @return attachTypeEnd
	 */
	public Integer getAttachTypeEnd(){
		return this.attachTypeEnd;
	}

	/**
	 * 设置 结束 附件分类，参数配置-MateriaAttachType
	 * @param attachTypeEnd
	 */
	public void setAttachTypeEnd(Integer attachTypeEnd){
		this.attachTypeEnd = attachTypeEnd;
	}

	/**
	 * 获取 增加 附件分类，参数配置-MateriaAttachType
	 * @return attachTypeIncrement
	 */
	public Integer getAttachTypeIncrement(){
		return this.attachTypeIncrement;
	}

	/**
	 * 设置 增加 附件分类，参数配置-MateriaAttachType
	 * @param attachTypeIncrement
	 */
	public void setAttachTypeIncrement(Integer attachTypeIncrement){
		this.attachTypeIncrement = attachTypeIncrement;
	}

	/**
	 * 获取 附件分类，参数配置-MateriaAttachType
	 * @return attachTypeList
	 */
	public List<Integer> getAttachTypeList(){
		return this.attachTypeList;
	}

	/**
	 * 设置 附件分类，参数配置-MateriaAttachType
	 * @param attachTypeList
	 */
	public void setAttachTypeList(List<Integer> attachTypeList){
		this.attachTypeList = attachTypeList;
	}

	/**
	 * 获取 附件名称
	 * @return attachNameList
	 */
	public List<String> getAttachNameList(){
		return this.attachNameList;
	}

	/**
	 * 设置 附件名称
	 * @param attachNameList
	 */
	public void setAttachNameList(List<String> attachNameList){
		this.attachNameList = attachNameList;
	}

	/**
	 * 获取 附件相对URL，/{materiaUniFullCode}/{attachType}/{attachName}
	 * @return attachUrlList
	 */
	public List<String> getAttachUrlList(){
		return this.attachUrlList;
	}

	/**
	 * 设置 附件相对URL，/{materiaUniFullCode}/{attachType}/{attachName}
	 * @param attachUrlList
	 */
	public void setAttachUrlList(List<String> attachUrlList){
		this.attachUrlList = attachUrlList;
	}

	/**
	 * 获取 备注
	 * @return remarkList
	 */
	public List<String> getRemarkList(){
		return this.remarkList;
	}

	/**
	 * 设置 备注
	 * @param remarkList
	 */
	public void setRemarkList(List<String> remarkList){
		this.remarkList = remarkList;
	}

	/**
	 * 获取 开始 变更时间
	 * @return updateTimeStart
	 */
	public String getUpdateTimeStart(){
		return this.updateTimeStart;
	}

	/**
	 * 设置 开始 变更时间
	 * @param updateTimeStart
	 */
	public void setUpdateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
	}

	/**
	 * 获取 结束 变更时间
	 * @return updateTimeEnd
	 */
	public String getUpdateTimeEnd(){
		return this.updateTimeEnd;
	}

	/**
	 * 设置 结束 变更时间
	 * @param updateTimeEnd
	 */
	public void setUpdateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
	}

	/**
	 * 获取 变更用户loginName
	 * @return updateUserList
	 */
	public List<String> getUpdateUserList(){
		return this.updateUserList;
	}

	/**
	 * 设置 变更用户loginName
	 * @param updateUserList
	 */
	public void setUpdateUserList(List<String> updateUserList){
		this.updateUserList = updateUserList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 创建用户loginName
	 * @return createUserList
	 */
	public List<String> getCreateUserList(){
		return this.createUserList;
	}

	/**
	 * 设置 创建用户loginName
	 * @param createUserList
	 */
	public void setCreateUserList(List<String> createUserList){
		this.createUserList = createUserList;
	}

	/**
	 * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @return orConditionList
	 */
	public List<AttachQuery> getOrConditionList(){
		return this.orConditionList;
	}

	/**
	 * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @param orConditionList
	 */
	public void setOrConditionList(List<AttachQuery> orConditionList){
		this.orConditionList = orConditionList;
	}

	/**
	 * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @return andConditionList
	 */
	public List<AttachQuery> getAndConditionList(){
		return this.andConditionList;
	}

	/**
	 * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @param andConditionList
	 */
	public void setAndConditionList(List<AttachQuery> andConditionList){
		this.andConditionList = andConditionList;
	}


}